# Basic test set
[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
version_check = "GL ES 3.1.*git"
renderer_check = "Mali-G52"

[[deqp]]
deqp = "/data/deqp/modules/gles3/deqp-gles3"
caselists = ["/data/deqp/mustpass/gles3-master.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

[[deqp]]
deqp = "/data/deqp/modules/gles31/deqp-gles31"
caselists = ["/data/deqp/mustpass/gles31-master.txt"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

[[deqp]]
deqp = "/data/deqp/external/openglcts/modules/glcts"
caselists = [
    "/data/deqp/mustpass/gles2-khr-master.txt",
    "/data/deqp/mustpass/gles3-khr-master.txt",
    "/data/deqp/mustpass/gles31-khr-master.txt",
]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]

# Smoke test spilling
[[deqp]]
deqp = "/data/deqp/modules/gles2/deqp-gles2"
caselists = ["/data/deqp/mustpass/gles2-master.txt"]
include = ["functional.shaders"]
deqp_args = [
    "--deqp-surface-width=256", "--deqp-surface-height=256",
    "--deqp-surface-type=pbuffer", "--deqp-visibility=hidden",
    "--deqp-gl-config-name=rgba8888d24s8ms0",
]
prefix = "spill-"
fraction = 2
[deqp.env]
BIFROST_MESA_DEBUG = "spill"
